Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991 - Package is built with unusual options limiting its usefulness
Summary: Package is built with unusual options limiting its usefulness
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-29 04:11 UTC by tomek
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 20:12:58 UTC


Attachments (Terms of Use)

Description tomek 1999-01-29 04:11:23 UTC
Binary RPMs of ImageMagick were built with the unusual
option which makes ImageMagic use 16 bits per Red, Green and
Blue channels (48 bits all together) rather then the usual 8
bits per channel (24 bits all together).

This doesn't affect ImageMagic tools in any way but affects
the ability of other image processing tools included with
5.1 (and 5.2) distribution to process files produced by
ImageMagick utilities. In particular, none of the netpbm
tools included as part of the libgr package can process pnm
files produced by ImageMagick tools. Any proprietary
software written to use libppm fails to read ppm files
produced by ImageMagick tools. Since most image processing
utilities use the 8-bits-per-channel standard I think that
ImageMagic binaries should be recompiled to use the same
standard.

All that needs to be changed is the following line from
ImageMagic.spec:

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
        --enable-shared --enable-16bit-pixel \
        --with-perl --with-x $RPM_ARCH-redhat-linux

Remove "--enable-16bit-pixel" option from compilation
instructions.

Comment 1 David Lawrence 1999-04-06 19:50:59 UTC
Your suggestion has been passed on to a developer for further review.

Comment 2 Michael K. Johnson 1999-04-06 20:12:59 UTC
I agree that it is a bug.
I have fixed it in ImageMagick-4.2.2-3


Note You need to log in before you can comment on or make changes to this bug.